Skip to main content
Fine-tuning

Pause a fine-tuning job

POST
/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/pause

Pauses the specified fine-tuning job and returns its updated state.

Path Parameters
fine_tuning_job_idstringrequired
The ID of the fine-tuning job to pause.
Responses
idstringrequired
The object identifier, which can be referenced in the API endpoints.
created_atintegerrequired
The Unix timestamp (in seconds) for when the fine-tuning job was created.
errorOpenAI.FineTuningJobError | nullrequired
One of the following:
OpenAI.FineTuningJobError
null
fine_tuned_modelstring | nullrequired
finished_atstring | nullrequired
hyperparametersOpenAI.FineTuningJobHyperparametersrequired
The hyperparameters used for the fine-tuning job. This value will only be returned when running supervised jobs.
batch_sizeenum
auto
learning_rate_multiplierenum
auto
n_epochsenum
auto
modelstringrequired
The base model that is being fine-tuned.
objectenumrequired
The object type, which is always "fine_tuning.job".
fine_tuning.job
organization_idstringrequired
The organization that owns the fine-tuning job.
result_filesstring[]required
The compiled results file ID(s) for the fine-tuning job. You can retrieve the results with the Files API.
statusenumrequired
The current status of the fine-tuning job, which can be either validating_files, queued, running, succeeded, failed, or cancelled.
validating_filesqueuedrunningsucceededfailedcancelled
trained_tokensinteger | nullrequired
training_filestringrequired
The file ID used for training. You can retrieve the training data with the Files API.
validation_filestring | nullrequired
integrationsOpenAI.FineTuningIntegration[] | null
One of the following:
OpenAI.FineTuningIntegration[]
null
seedintegerrequired
The seed used for the fine-tuning job.
estimated_finishstring | null
methodOpenAI.FineTuneMethod
The method used for fine-tuning.
typeenumrequired
The type of method. Is either supervised, dpo, or reinforcement.
superviseddporeinforcement
supervisedOpenAI.FineTuneSupervisedMethod
Configuration for the supervised fine-tuning method.
dpoOpenAI.FineTuneDPOMethod
Configuration for the DPO fine-tuning method.
reinforcementOpenAI.FineTuneReinforcementMethod
Configuration for the reinforcement fine-tuning method.
metadataOpenAI.Metadata | null
Request
curl -X POST https://api.openai.com/v1/fine_tuning/jobs/ftjob-abc123/pause \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
  "object": "fine_tuning.job",
  "id": "ftjob-abc123",
  "model": "gpt-4o-mini-2024-07-18",
  "created_at": 1721764800,
  "fine_tuned_model": null,
  "organization_id": "org-123",
  "result_files": [],
  "status": "paused",
  "validation_file": "file-abc123",
  "training_file": "file-abc123"
}